% Plot the Gust Shape for a Sharp Edged Gust and 1-cos Gust

clc
clear all
close all

% Inputs
% Speed V [m/s]
V = 56;
% Gust Length Lg [m]
Lg = 50;
% t [s] between 0 and Lg/V with 101 points
t  = linspace(0,Lg/V,101);
% Design Gust Velocity [m/s]
Wg0 = 15;

% Gust Velocity Profile
% Sharp Edged 
Wg_se = Wg0*ones(1,101);
% 1- cos 
Wg_cos = Wg0/2*(1-cos(2*pi*V*t./Lg));

% Gust Shape comparison

plot(t,Wg_se,'--b','LineWidth',2,t,Wg_cos,'g','LineWidth',2)
xlabel('t [s]')
ylabel('Wg [m/s]')
set(gca,'fontsize',15,'LineWidth',1.5)
txt= ['"1-cos" Gust, Lg =', num2str(Lg),' m'];
legend('Sharp Edged Gust', txt) 